Redmine - Feature #10138

Video Player
2012-02-02 13:33 - Dariusz Kowalski

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

It would by nice to have ability to play video in Redmine (wiki, issues, documents)
| would prefer to have HTMLS5 video player, but Adobe Flash would be ok too.

Related issues:

Related to Redmine - Feature #5171: [Flash player] Being able to embed swf files Closed 2010-03-24
Related to Redmine - Patch #22112: add html5 audio controls if attachment is mp3 Closed

Related to Redmine - Patch #27336: Render previews for audio and video files Closed

History

#1 - 2012-02-02 14:56 - Etienne Massip
- Category set to Wiki

#2 - 2012-02-02 17:16 - Etienne Massip

- Target version set to Candidate for next major release

It should be very interesting to have this functionality work like it does for images.

#3 - 2012-02-03 00:38 - Daniel Morgan

| currently use the plugin attached in #5171.
Have it working fine with the latest release of Redmine.

#4 - 2013-07-15 07:31 - Maxime Vez

Yes, being able to play .webm or .ogv video would be great. They added TimeMediaHandler on wikipedia (
https://www.mediawiki.org/wiki/Extension:TimedMediaHandler)

#5 - 2014-03-05 10:49 - lvan Cenov

| would like to see ability to play youtube videos too.

#6 - 2016-07-23 09:51 - Anh Le Giang

+ 1 to me. Now we have to download every attached video file

#7 - 2016-11-23 00:22 - Ryan Bond

+ 1 here as well. We're using Redmine for videogame QA and have a lot of game playthough videos on bugs. Ability to stream from youtube would
save our server space, make backups smaller, allow the videos to be streamed rather than have to download first, etc. Thanks!

#8 - 2016-12-21 13:31 - Jonata Bolzan Loss

+1

#9 - 2017-02-08 10:24 - diamond2nv GitHub

Dariusz Kowalski wrote:

It would by nice to have ability to play video in Redmine (wiki, issues, documents)
| would prefer to have HTMLS5 video player, but Adobe Flash would be ok too.
https://www.redmine.org/issues/5171
https://www.mediawiki.org/wiki/Extension:TimedMediaHandler

both <video>(.mp4) and <audio>(.mp3) support

Patch #22112

#10 - 2017-03-05 03:27 - Toshi MARUYAMA
- Related to Patch #22112: add html5 audio controls if attachment is mp3 added

#11 - 2017-11-21 01:12 - Go MAEDA
- Related to Patch #27336: Render previews for audio and video files added

#12 - 2017-11-21 01:17 - Go MAEDA
A patch to add HTMLS5 video/audio player has been submitted as #27336.

#13 - 2018-05-17 15:26 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

The patch that adds video/audio player was committed for upcoming Redmine 4.0.0. See #27336 for the detail.

#14 - 2018-05-17 15:47 - Go MAEDA

- Target version deleted (Candidate for next major release)
